package com.ruoyi.logistics.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 费用类型管理对象 biz_inancial_fee_items
 * 
 * @author RuiJing
 * @date 2026-01-29
 */
public class BizFinancialFeeItems extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 费用项目id */
    private Long feeItemId;

    /** 费用项目编码 */
    @Excel(name = "费用项目编码")
    private String feeItemCode;

    /** 费用项目名称 */
    @Excel(name = "费用项目名称")
    private String feeItemName;

    /** 外部渠道 sf/jd */
    @Excel(name = "外部渠道 sf/jd")
    private String feeItemCategory;

    /** 外部费用编码 */
    @Excel(name = "外部费用编码")
    private String extFeeCode;

    /** 外部费用名称 */
    @Excel(name = "外部费用名称")
    private String extFeeName;

    /** 部门ID */
    @Excel(name = "部门ID")
    private Long deptId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 删除标志 */
    private String delFlag;

    public void setFeeItemId(Long feeItemId) 
    {
        this.feeItemId = feeItemId;
    }

    public Long getFeeItemId() 
    {
        return feeItemId;
    }

    public void setFeeItemCode(String feeItemCode) 
    {
        this.feeItemCode = feeItemCode;
    }

    public String getFeeItemCode() 
    {
        return feeItemCode;
    }

    public void setFeeItemName(String feeItemName) 
    {
        this.feeItemName = feeItemName;
    }

    public String getFeeItemName() 
    {
        return feeItemName;
    }

    public void setFeeItemCategory(String feeItemCategory) 
    {
        this.feeItemCategory = feeItemCategory;
    }

    public String getFeeItemCategory() 
    {
        return feeItemCategory;
    }

    public void setExtFeeCode(String extFeeCode) 
    {
        this.extFeeCode = extFeeCode;
    }

    public String getExtFeeCode() 
    {
        return extFeeCode;
    }

    public void setExtFeeName(String extFeeName) 
    {
        this.extFeeName = extFeeName;
    }

    public String getExtFeeName() 
    {
        return extFeeName;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("feeItemId", getFeeItemId())
            .append("feeItemCode", getFeeItemCode())
            .append("feeItemName", getFeeItemName())
            .append("feeItemCategory", getFeeItemCategory())
            .append("extFeeCode", getExtFeeCode())
            .append("extFeeName", getExtFeeName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
